<template>
  <section class="products-list mt-3 mt-md-0">
    <div class="container">
      <div class="row">
        <div class="col">
          <SubHeader :title="title" :filters="filters" />
        </div>
      </div>
    </div>

    <div class="container mt-4" v-if="products.length">
      <div class="row">
        <div class="col-6 col-md-3 mb-3 mb-md-4" v-for="item in products" :key="item.id">
          <DefaultCard :product="item" />
        </div>
      </div>
    </div>

    <div class="container mt-4" v-else>
      <div class="row">
        <div class="col-12 text-center">
          <p class="lead" v-if="!loading">No se encontraron productos</p>
        </div>
      </div>
    </div>
  </section>
</template>

<script>
import DefaultCard from "@/components/products/cards/DefaultCard";
import SubHeader from "@/components/global/header/SubHeader";

export default {
  name: 'ProductsList',
  components: {
    DefaultCard,
    SubHeader
  },
  data() {
      return {
      }
  },
  props: {
    title: String,
    products: {
      type: Array,
      default: []
    },
    filters: Boolean,
    loading: Boolean
  }
};
</script>

<style lang="scss" scoped>
@import "~/assets/scss/variables";

.products-list {
  // min-height: 500px;
}
</style>